tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Elodie Tasia <...@informactis.com>
Subject Re: Conflicts between 2 lib in Tomcat 4.0.3
Date Tue, 04 Feb 2003 15:56:47 GMT

> Or maybe he is using  the old Xerces (1.4.4) with the new Xerces(2.x). 
> They have make huge changes between the 2 versions and backward 
> compatibility is no longer supported (Xerces 1.4.4 doesn't fully 
> supports JAXP, Xerces 2.x does). They probably use a public API, but not 
> the JAXP one. You will have to stick with that version or ask other app 
> to update to Xerces 2.x :-(

I thought the same thing... last week, ant I tried ti update myself the olds apps (because
the developpers have gone), but I lost too time...

> Also, the classloader will not properly load the second jar since it 
> doesn't load a class that is in memory. Since your 2 xerces share some 
> base classes, that's probably why it doesn't work.
That's exactly the problem : when I try to access to new methods in xerces2, I get an exception.
So why does Tomcat load the older librairy before the newer ? Does it know which one is the
old ?


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message